=== debian/changelog ===
glare (0.1.0-3) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:29:48 +0100

glare (0.1.0-2) unstable; urgency=medium

  * Debconf translation:
    - it (Closes: #840004).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 13:31:34 +0200

glare (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #839231)

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Thu, 29 Sep 2016 03:43:05 +0300
