=== debian/control ===
Source: glare
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx (>= 1.2.1),
Build-Depends-Indep: python-alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-bandit,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glance-store (>= 0.18.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.11),
                     python-jsonpatch (>= 1.1),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-microversion-parse (>= 0.1.2),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3 (>= 0.7.0),
                     python-mysqldb (>= 0.6.2),
                     python-openssl (>= 0.14),
                     python-os-api-ref,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-qpid,
                     python-reno,
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-semantic-version (>= 2.3.1),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-swiftclient (>= 2.2.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.8),
                     python-xattr (>= 0.4),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glare?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-glare -b debian/newton
Homepage: https://github.com/openstack/glare

Package: python-glare
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-glance-store (>= 0.18.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.11),
         python-jsonpatch (>= 1.1),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.2.0),
         python-microversion-parse (>= 0.1.2),
         python-monotonic (>= 0.6),
         python-openssl (>= 0.14),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-osprofiler (>= 1.4.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Artifact Repository - Python 2.7 library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glare-api
Architecture: all
Depends: adduser,
         glare-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Artifact Repository - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glare API server.

Package: glare-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-glare (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Artifact Repository - common files
 Glare (from GLare Artifact REpository) is a service that provides access
 to a unified catalog of structured meta-information as well as related
 binary data (these structures are also called 'artifacts').
 .
 This package contains common files for Glare.
