## glare 0.2.1

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-oslo.policy>=1.9.0 # Apache-2.0
+oslo.policy>=1.14.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.versionedobjects>=1.13.0 # Apache-2.0
