=== debian/changelog ===
glare (0.2.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:37:21 +0100

glare (0.2.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * d/control: Align dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 15:17:55 -0500
