=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glare
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 10),
@@ -31,10 +32,10 @@
                      python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
                      python-mox3 (>= 0.7.0),
-                     python-mysqldb (>= 0.6.2),
+                     python-pymysql (>= 0.6.2),
                      python-openssl (>= 0.14),
-                     python-os-api-ref,
-                     python-os-testr (>= 0.7.0),
+                     python-os-api-ref (>= 1.0.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
@@ -43,28 +44,28 @@
                      python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-psutil (>= 1.1.1),
                      python-psycopg2 (>= 2.5),
+                     python-sendfile (>= 2.0.0),
                      python-qpid,
                      python-reno,
                      python-requests (>= 2.10.0),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-semantic-version (>= 2.3.1),
-                     python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-swiftclient (>= 2.2.0),
+                     python-swiftclient (>= 1:2.2.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
@@ -73,8 +74,8 @@
                      python-wsme (>= 0.8),
                      python-xattr (>= 0.4),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glare?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-glare -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
 Homepage: https://github.com/openstack/glare
 
 Package: python-glare
@@ -118,7 +119,7 @@
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - Python 2.7 library
  The Glance project provides services for discovering, registering, and
  retrieving virtual machine images over the cloud. They may be stand-alone
@@ -135,7 +136,7 @@
          q-text-as-data,
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - API server
  The Glance project provides services for discovering, registering, and
  retrieving virtual machine images over the cloud. They may be stand-alone
@@ -151,7 +152,7 @@
          python-glare (= ${source:Version}),
          q-text-as-data,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - common files
  Glare (from GLare Artifact REpository) is a service that provides access
  to a unified catalog of structured meta-information as well as related
