=== debian/changelog ===
glare (0.4.1-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Update gbp configuration file.
    - d/control: Update Vcs-* links and maintainers.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 11:13:33 +0000

glare (0.4.1-3) unstable; urgency=medium

  * Fixed requires internet access during the build (Closes: #882535).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 13:19:38 +0000

glare (0.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876309).
  * Updated pt.po (Closes: #876171).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:55:18 +0000

glare (0.4.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove SQLAlchemy version patch.
  * Remove b-dependency on dh-systemd.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Oct 2017 18:58:48 +0200
