=== debian/control ===
Source: glare
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-babel,
 python-bandit,
 python-coverage,
 python-cryptography,
 python-eventlet,
 python-fixtures,
 python-futurist,
 python-glance-store (>= 0.22.0),
 python-hacking,
 python-httplib2,
 python-iso8601,
 python-jsonpatch,
 python-jsonschema,
 python-jwt,
 python-keystoneauth1 (>= 3.1.0),
 python-keystonemiddleware (>= 4.12.0),
 python-memcache,
 python-microversion-parse,
 python-mock,
 python-monotonic,
 python-mox3,
 python-mysqldb,
 python-openssl,
 python-os-api-ref,
 python-os-testr (>= 0.8.0),
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.context (>= 2.14.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.i18n,
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.middleware (>= 3.27.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization,
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-oslo.versionedobjects,
 python-oslosphinx,
 python-oslotest (>= 1:1.10.0),
 python-osprofiler,
 python-paste,
 python-pastedeploy,
 python-psutil,
 python-psycopg2,
 python-qpid,
 python-reno,
 python-requests (>= 2.14.2),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-sendfile (>= 2.0.0),
 python-six,
 python-sqlalchemy,
 python-swiftclient (>= 1:3.2.0),
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-webob (>= 1.7.1),
 python-wsme,
 python-xattr,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/glare.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/glare.git
Homepage: https://github.com/openstack/glare

Package: glare-api
Architecture: all
Depends:
 adduser,
 glare-common (= ${source:Version}),
 python-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Artifact Repository - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glare API server.

Package: glare-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python-glare (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Artifact Repository - common files
 Glare (from GLare Artifact REpository) is a service that provides access
 to a unified catalog of structured meta-information as well as related
 binary data (these structures are also called 'artifacts').
 .
 This package contains common files for Glare.

Package: python-glare
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-cryptography,
 python-eventlet,
 python-futurist,
 python-glance-store (>= 0.22.0),
 python-httplib2,
 python-iso8601,
 python-jsonpatch,
 python-jsonschema,
 python-jwt,
 python-keystoneauth1 (>= 3.1.0),
 python-keystonemiddleware (>= 4.12.0),
 python-memcache,
 python-microversion-parse,
 python-monotonic,
 python-openssl,
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.context (>= 2.14.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.i18n,
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.middleware (>= 3.27.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization,
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-oslo.versionedobjects,
 python-osprofiler,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 2.0.0),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-six,
 python-sqlalchemy,
 python-webob (>= 1.7.1),
 python-wsme,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Artifact Repository - Python 2.7 library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.
