=== debian/changelog ===
glare (0.5.0-4ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Update gbp configuration file.
    - d/control: Update Vcs-* links and maintainers.
    - d/rules: Disable Python 3.7 unit tests as glare doesn't support it,
      and switch to oslo-config-generator and oslopolicy-sample-generator
      as they are py3-only now.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jul 2019 10:12:38 -0400

glare (0.5.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:32:05 +0000

glare (0.5.0-3) unstable; urgency=medium

  * Dropped debconf templates, using openstack-pkg-tools >= 70~.
  * Fixed generating policy.json with --format json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 16:40:17 +0000

glare (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 12:36:56 +0000

glare (0.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2018 22:28:14 +0000

glare (0.4.1-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:44:02 +0000
